Skip to main content
`Ctrl`+`K`

# PetscFEGetNumComponents

Returns the number of components in the element

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetNumComponents(PetscFE fem, PetscInt *comp)

Not Collective

## Input Parameter

- fem - The `PetscFE` object

## Output Parameter

- comp - The number of field components

## See Also

`PetscFE`, `PetscFECreate()`, `PetscFEGetSpatialDimension()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages